Page MenuHomePhabricator

Some Jenkins jobs lack a timeout (ex: mediawiki-phpunit-coverage-patch)
Closed, ResolvedPublic

Description

Apparently this job doesn't have a timeout, so some jobs were running for 8 hours until jenkins had an internal error and killed it. These should have a timeout of no longer than 30 minutes honestly.

$ grep -L timeoutMinutes *
analytics-refinery-release
analytics-refinery-update-jars
apps-android-wikipedia-periodic-test
mediawiki-core-code-coverage
mediawiki-phpunit-coverage-patch
mwext-phpunit-coverage-patch
mwext-phpunit-coverage-publish

Event Timeline

Legoktm triaged this task as Unbreak Now! priority.Jun 16 2018, 9:49 PM
Legoktm created this task.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald TranscriptJun 16 2018, 9:49 PM
hashar renamed this task from mediawiki-phpunit-coverage-patch needs a timeout to Some Jenkins jobs lack a timeout (ex: mediawiki-phpunit-coverage-patch ).Jun 19 2018, 9:06 AM
hashar updated the task description. (Show Details)

Change 441007 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add timeout to all Jenkins jobs

https://gerrit.wikimedia.org/r/441007

hashar claimed this task.Jun 19 2018, 10:05 AM

Change 441007 merged by jenkins-bot:
[integration/config@master] Add timeout to all Jenkins jobs

https://gerrit.wikimedia.org/r/441007

hashar closed this task as Resolved.Jun 20 2018, 8:44 AM

INFO:jenkins_jobs.builder:Reconfiguring jenkins job analytics-refinery-release
INFO:jenkins_jobs.builder:Reconfiguring jenkins job analytics-refinery-update-jars
INFO:jenkins_jobs.builder:Reconfiguring jenkins job apps-android-wikipedia-periodic-test
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-core-code-coverage
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-phpunit-coverage-patch
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mwext-phpunit-coverage-patch
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mwext-phpunit-coverage-publish
INFO:jenkins_jobs.cli.subcommand.update:Number of jobs updated: 7

Vvjjkkii renamed this task from Some Jenkins jobs lack a timeout (ex: mediawiki-phpunit-coverage-patch ) to osaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii lowered the priority of this task from Unbreak Now! to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: hashar; removed: gerritbot, Aklapper.
JJMC89 renamed this task from osaaaaaaaa to Some Jenkins jobs lack a timeout (ex: mediawiki-phpunit-coverage-patch).Jul 1 2018, 1:45 AM
JJMC89 closed this task as Resolved.
JJMC89 assigned this task to hashar.
JJMC89 raised the priority of this task from High to Unbreak Now!.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.